//
//  ReviewViewController.m
//  iAppsReview
//
//  Created by Kevin McNeish on 9/26/13.
//  Copyright (c) 2013 Oak Leaf Enterprises, Inc. All rights reserved.
//

#import "ReviewViewController.h"
#import <AssetsLibrary/AssetsLibrary.h>

@interface ReviewViewController ()

@end

@implementation ReviewViewController

- (id)initWithNibName:(NSString *)nibNameOrNil bundle:(NSBundle *)nibBundleOrNil
{
    self = [super initWithNibName:nibNameOrNil bundle:nibBundleOrNil];
    if (self) {
        // Custom initialization
    }
    return self;
}

- (void)viewDidLoad
{
    [super viewDidLoad];

	self.lblAppName.text = self.reviewEntity.appName;
	self.starRating.rating = self.reviewEntity.rating;
	self.tvwComments.text = self.reviewEntity.comments;

	// Get the image from the photo library and display it in the image view
	if (self.reviewEntity.image) {

		NSURL *imageURL = [NSURL URLWithString:self.reviewEntity.image];
		ALAssetsLibrary *library = [[ALAssetsLibrary alloc] init];

		[library assetForURL:imageURL
		resultBlock:
		 ^(ALAsset *asset) {
			self.imgThumbnail.image =
				[UIImage imageWithCGImage:[[asset defaultRepresentation] fullResolutionImage]];
		}
		failureBlock:^(NSError *error) {
			NSLog(@"error : %@", error);
		}];
	}
}

- (void)displayImage:(ALAsset *)asset
{
	self.imgThumbnail.image =
		[UIImage imageWithCGImage:[[asset defaultRepresentation] fullResolutionImage]];
}

- (void)didReceiveMemoryWarning
{
    [super didReceiveMemoryWarning];
    // Dispose of any resources that can be recreated.
}

@end
